#!/bin/bash

declare -a LIST_OF_FILES=("dfground_signal.txt" "dfprobe_signal.txt" "dftoa_signal.txt" "plot_dFground" "plot_dFprobe" "plot_dFtoa" "gra_dFground" "gra_dFprobe" "gra_dFtoa" "plot_all_differences")

function copy_file {
    if [ $# -lt 2 ]
    then
	echo "Error from function copy_file: missing arguments"
	exit 1
    fi
    FILE=$1
    FOLDER=$2
    if [ ! -d $FOLDER ]
    then
	echo "Error from function copy_file: missing folder: "$FOLDER
    fi
    if [ -e $FILE ]
    then
	cp -f $FILE $FOLDER
    fi
}

if [ $# == 0 ]
then
    echo "Missing arguments"
    exit 1
fi

FOLDER=$1
if [ -d "$FOLDER" ]
then
    echo "Folder already exists -- nothing to do"
    exit 0
else
    mkdir $FOLDER
    
    for file in "${LIST_OF_FILES[@]}"
    do
	copy_file $file $FOLDER
    done
fi

exit 0
