#!/bin/bash

declare -a LIST_OF_FILES=("cos_theta" "Tprofile.txt" "ftoa_signal.txt" "probe_flux_up_signal.txt" "probe_flux_dn_signal.txt" "probe_flux_net_signal.txt" "ground_flux_up_signal.txt" "ground_flux_dn_signal.txt" "ground_flux_net_signal.txt" "emission_altitude.txt" "Be.txt" "Te.txt" "Tb_signal.txt" "flux_up.txt" "flux_dn.txt" "flux_net.txt" "total_probe_flux.txt" "ES_signal.txt" "budget.txt" "cooling_rate.txt" "gas_ground_budget.txt" "gas_ground_coolingrate.txt" "gas_space_budget.txt" "gas_space_coolingrate.txt" "gas_gas_budget.txt" "gas_gas_coolingrate.txt" "tau_rayleigh_cumulated.txt" "tau_CO2_cia_cumulated.txt" "tau_H2O_cia_cumulated.txt" "tau_N2N2_cia_cumulated.txt" "tau_O2O2_cia_cumulated.txt" "tau_AER_H2O_cumulated.txt" "tau_total_cumulated.txt" "si_NER.dat" "plot_all_light" "gra_Be" "gra_Ftoa" "gra_Tb" "gra_Tb_wavln" "gra_Tb_wavnb" "gra_Te" "gra_Te_wavln" "gra_Te_wavnb" "gra_Tprofile" "gra_emission_altitude" "gra_si_NER" "gra_si_budget" "gra_si_coolingrate" "gra_si_flux" "gra_tau_CO2_CIA_cumulated" "gra_tau_H2O_AER_continuum_cumulated" "gra_tau_H2O_CIA_cumulated" "gra_tau_N2N2_CIA_cumulated" "gra_tau_O2O2_CIA_cumulated" "gra_tau_rayleigh_cumulated" "gra_tau_total_cumulated" "contour_rotate.sh" "contour_norotate.sh")

function copy_file {
    if [ $# -lt 2 ]
    then
	echo "Error from function copy_file: missing arguments"
	exit 1
    fi
    FILE=$1
    FOLDER=$2
    if [ ! -d $FOLDER ]
    then
	echo "Error from function copy_file: missing folder: "$FOLDER
    fi
    if [ -e $FILE ]
    then
	cp -f $FILE $FOLDER
    fi
}

if [ $# == 0 ]
then
    echo "Missing arguments"
    exit 1
fi

FOLDER=$1
if [ -d "$FOLDER" ]
then
    echo "Folder already exists -- nothing to do"
    exit 0
else
    mkdir $FOLDER
    
    for file in "${LIST_OF_FILES[@]}"
    do
	copy_file $file $FOLDER
    done
fi

exit 0
