c     Copyright (C)
c     2014-2018 Centre National de la Recherche Scientifique
c     2014-2018 Mesotar
c     
c     This file must be used under the terms of the CeCILL license.
c     This source file is licensed as described in the file COPYING, which
c     you should have received as part of this distribution.  The terms
c     are also available at
c     http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
c
      subroutine generate_kfile(base,i,kfile)
      implicit none
      include 'max.inc'
c
c     Purpose: to generate the path name to the kspectrum output file
c
c     Inputs:
c       + base: character string that contains the base path to the folder that
c         contains kspectrum output files
c       + i: index of the kspectrum output file
c     
c     Outputs:
c       + kfile: path name to the required kspectrum output file
c

c     I/O
      character*(Nchar_mx) base
      integer i
      character*(Nchar_mx) kfile
c     temp
      character*(Nchar_mx) kf
      character*3 ich
c     label
      integer strlen
      character*(Nchar_mx) label
      label='subroutine generate_kfile'

      call add_slash_if_absent(base)
      call num2str3(i,ich)
      kf='k'//ich(1:strlen(ich))
      kfile=base(1:strlen(base))
     &     //kf(1:strlen(kf))
      
      return
      end
