c     Copyright (C)
c     2014-2018 Centre National de la Recherche Scientifique
c     2014-2018 Mesotar
c     
c     This file must be used under the terms of the CeCILL license.
c     This source file is licensed as described in the file COPYING, which
c     you should have received as part of this distribution.  The terms
c     are also available at
c     http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
c
      subroutine init_results(Nlev,
     &     Nlay,total_ner,
     &     total_flux_up,
     &     total_flux_dn,
     &     total_flux_net,
     &     total_pflux_up,
     &     total_pflux_dn,
     &     total_pflux_net)
      implicit none
      include 'max.inc'
c
c     Purpose: to initialize total results
c
c     Input:
c       + Nlev: number of levels (interfaces)
c
c     Output:
c       + Nlay: number of atmospheric layers
c       + total_ner: total NER matrix
c       + total_flux_up: total upward fluxes
c       + total_flux_dn: total downward fluxes
c       + total_flux_net: total net fluxes
c       + total_pflux_up: (updated) total upward flux @ probe pressure
c       + total_pflux_dn: (updated) total downward flux @ probe pressure
c       + total_pflux_net: (updated) total net flux @ probe pressure
c
c     I/O
      integer Nlev
      double precision total_ner(0:Nlay_mx+1,0:Nlay_mx+1)
      double precision total_flux_up(0:Nlay_mx)
      double precision total_flux_dn(0:Nlay_mx)
      double precision total_flux_net(0:Nlay_mx)
      double precision total_pflux_up
      double precision total_pflux_dn
      double precision total_pflux_net
c     temp
      integer Nlay,i,j
c     label
      integer strlen
      character*(Nchar_mx) label
      label='subroutine init_results'

      Nlay=Nlev-1
c
      do i=0,Nlay+1
         do j=0,Nlay+1
            total_ner(i,j)=0.0D+0
         enddo ! j
      enddo ! i
c
      do i=0,Nlay
         total_flux_up(i)=0.0D+0
         total_flux_dn(i)=0.0D+0
         total_flux_net(i)=0.0D+0
      enddo ! i
c
      total_pflux_up=0.0D+0
      total_pflux_dn=0.0D+0
      total_pflux_net=0.0D+0
c     
      return
      end

